@import "variables";

h1,
h2 {
  color: $color-primary;
}

h2 {
  font-size: 36px;
  font-weight: 400;
}

p {
  font-size: 17px;
  font-weight: 200;
}

.navbar-nav li {
  font-weight: 600;
  font-size: 14px;
}

.image-title {
  background: url("/images/stock/ci.jpg");
  background-size: 100%;

  .color-bg {
    text-align: center;
    padding-top: 0;
    padding-bottom: 4%;
    height: 500px;
    width: 100%;
    margin-top: -1px;
    background-image: linear-gradient(to bottom, $color-primary 0%, rgba($color-primary, .85) 99%, rgba($color-primary, .79) 100%);

    h1 {
      position: relative;
      padding: 119px 0 3px;
      margin-top: 0;
      color: $color-white;
      font-size: 55px;
    }

    h3 {
      font-size: 32px;
      color: rgba($color-white, .62);
      line-height: 32px;
      padding-bottom: 30px;
      font-weight: 200;
    }

    div:nth-child(2) {
      padding-top: 2%;
      padding-bottom: 10px;
    }
  }

  .row:nth-child(2) {
    display: inline;
  }
}

.wrapper {
  min-height: 0;
  margin: 0 auto;
}

.sub-wrapper {
  padding: 50px 0;

  li {
    font-size: 17px;
    font-weight: 200;
  }
}

.gitlab-image {
  margin-top: 2%;
  padding-top: 2%;
  width: 270px;
  height: 270px;
  border-radius: 150px;
  background: url("/images/ci/main.png") no-repeat;
  background-position-x: -118px;
  background-position-y: -76px;
}

.gitlab-raccoon-dog-image {
  width: 59%;
  margin-top: 32px;
  margin-left: 23%;
}

.gitlab-ci-image {
  margin-top: 16%;
  width: 300px;
  height: 500px;
  border-radius: 150px;
  background: url("/images/ci/gitlab-ci.png") no-repeat;
  background-position-x: -415px;
  background-position-y: -205px;
}

.advantages div:first-child {
  margin-top: 3%;
}

.advantages div:nth-child(2) {
  margin-top: 30px;
}

.requirements .fa-linux {
  font-size: 12em;
  margin-top: 50%;
  border: 2px solid $color-primary;
  padding: 27px;
  border-radius: 17px;
  color: $color-primary;
}

.integration div:nth-child(2) {
  margin-top: 75px;
}

.links {
  padding-bottom: 30px;

  .fa-code {
    font-size: 4em;
    border: 2px solid $color-primary;
    padding: 27px;
    border-radius: 17px;
    color: $color-primary;
    margin-top: 33px;
  }

  div:nth-child(3) {
    padding-left: 66px;
  }
}

.divider {
  margin: auto;
  margin-top: 80px;
  width: 970px;
  border-color: $divider-color;
  border-width: 1px;
  max-width: 100%;
  margin-bottom: 60px;
}

.installation .fa {
  font-size: 13em;
}

.gitlab-arch {
  margin-top: 9%;
}
